public class BackupNPQCase {

    public static void evaluateNPQ(Account a)
    {
        List<Account>accts = new List<Account>();
        accts.add(a);
        evaluateNPQ(accts);
    }
    
    public static void evaluateNPQ(List<Account> acclist)
    {
        List<Case>casestoinsert = new List<Case>();
        for (Account a : acclist)
        {
            if (!acceptableCaseScenario(a))
            {continue;}
            else
            {
                casestoinsert.add(CaseCreationAction());
            }
        }
        insert casestoinsert;
    }
    
    private static boolean acceptableCaseScenario(Account a)
    {
        if (!a.NPQ_Disclosure_Required__c)
        {return false;}
        
        if (a.NPQ_Realized_Date__c < date.today().adddays(-7))
        {return false;}
        
        return true;
    }
    
    private static Case caseCreationAction()
    {
        Case c = new Case();
        return c;
    }
}